Sunday, December 14, 2014

How to install Adobe flashplayer from .tar.gz from adobe website

Though Adobe flash is getting less and less popular with the rise of HTML5 for online video content, it is still an integral part of the web. Adobe pushes security updates to its 11.2.202.XXX version of flashplayer even though it has pledged not to update it to newer version numbers.

Popular Linux distros offer easy ways to install and update the non-free Adobe flash plugin. For example Ubuntu lets you install Flash through a package called 'flashplugin-installer'. Similarly Linux Mint offers 'mint-flashplugin'. The problem with these install scripts is that they don't work well when you are behind a company or university's proxy settings (sometimes even after you set your proxy environment according to this blog). The way to setup proxy to your wget is given here and here. But even after trying those, my mintupdate-flash was not able to fetch the latest flash though it informed me of an update that is available (on my Linuxmint Debian Edition install).

So I had to resort to installing it manually by downloading the binary from Adobe's website. The method I followed was pretty much based on this thread as per user IgnitE's post. This blogpost also tells us how to install flashplayer for Debian based distros.

I'll summarize what I did to install Adobe flashplayer from Adobe's website and it works for an update as well as a fresh install of flashplayer from Adobe directly.

First go to Abode flash download page, choose the updated version as .tar.gz version. Make sure you choose the 64-bit version or 32-bit version according to the Linux installation you have. The download usually goes to the Downloads folder in your home directory(~).


Make a directory under ~/Downloads to place the untarred files

mkdir adobeflash

Untar the contents into it

tar -xzf install_flash_player_11_linux*.tar.gz -C adobeflash/

Change to the directory where the files are untarred

cd adobeflash

Now there would be: /usr, libflashplayer.so and readme.txt files in the untarred folder. We have to copy the /usr and libflashplayer.so to the appropriate directories for the install process.

First,

sudo cp -r usr/* /usr


If you are in Debian or Ubuntu prior to 14.04 i.e., 13.10 and below follow the below command (Yes, it works for both Firefox and Iceweasel).

sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

IF you are in Ubuntu 14.04 or above, then use the following command

sudo cp libflashplayer.so /usr/lib/firefox/browser/plugins

Restart the browser and you have the latest flash installed, check it by right clicking flash content or by clicking here.

Apart from this you can get the Google updated Pepper flash by installing Google Chrome. But for now, I would prefer to use the flashplugin provided by Adobe in Firefox and Chromium.


PS.: The problem of mintupdate for flash was not due to wget proxy problem, but due to the fact that linux mint software repository mirror has been clogged due to heavy usage. When I changed the software update repositories from the mint update manager (Software updates - Edit - Preferences - Update sources; change the mirrors to something else than the default) and refreshed the cache, I was able to install mintflash update properly even under my proxy settings. So it is better to check your repo mirrors before trying the method mentioned above. Otherwise the update manager would still be showing an update unless you unistall the mint-flashplugin package.

5 comments:

alex said...

Thank you so much for this. I was finally able to download Adobe flash player on to my Mozilla Firefox also call Toll Free No +1-800-231-4635 For US/CA.

dan elliott said...

Brilliant, it got my flash going at last. nice post, many thanks

Technews Able said...

Flash Player : You should uninstall it forever

Computer Services said...

Great blog about how to install adobe flash player .tar.gz

3 Stars Attack Clash Of Clans said...

click and instal new 2017 Flash Player 24 Offline Installer for Window and MAC